Skip to main content
GET
/
groups
/
{group_id}
Get group
curl --request GET \
  --url https://api.dnsradar.dev/groups/{group_id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": "grp_abc123...",
  "slug": "production-servers",
  "name": "Production Servers",
  "is_default": true,
  "monitors": 42,
  "webhooks": 5
}
The group slug is a URL-friendly identifier for the group.
You can use this slug to filter monitors by group using the group query parameter on the /monitors endpoint.

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Path Parameters

group_id
string
required

Group ID (e.g: grp_abc123...)

Response

Group details

Group for organizing monitors

id
string

Group identifier with 'grp_' prefix

Example:

"grp_abc123..."

slug
string

URL-friendly identifier

Example:

"production-servers"

name
string

Display name

Example:

"Production Servers"

is_default
boolean

Whether this is the default group

monitors
integer

Number of monitors in this group

Example:

42

webhooks
integer

Number of webhooks in this group

Example:

5